Announcement

Collapse
No announcement yet.

Help to install centreon vmware 2.4.0.

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Help to install centreon vmware 2.4.0.

    Bonsoir,

    Il y a un souci pour l'installation des dépendances pour l'utilisation du plugin centreon-vmware en 2.4.0.
    J'ai un souci avec la documentation qui ne me semble pas à jour avec Centreon 3.4 sur la page du plugin sur Git Hub sur une CentOS 6 :
    https://github.com/centreon/centreon...tion/index.rst

    La documentation de centreon idem pas OK pour une CentOS6 :
    https://documentation.centreon.com/d...rhel-6-systems


    En effet les dépôts de centreon en 3.4 n'ont plus de paquets en ces-plugins-*...
    ces-plugins-Virtualization-VMWare-client-2.3.1-1.el6.noarch.rpm



    Sauf erreur de ma part :
    ces-plugins-Virtualization-VMWare-daemon-2.3.1-1.el6.noarch.rpm-> est remplacé par -> centreon-plugin-Virtualization-VMWare-daemon-2.4.0-1.el6.noarch.rpm
    perl-centreon-base-2.5.0-1.el6.noarch -> par -> centreon-perl-libs-2.8.12-7.el6.noarch


    Et je ne trouve pas par quoi est remplacer ce paquet (présent sur la 3.0 comme les ces ):

    http://yum.centreon.com/standard/3.0...e/noarch/RPMS/ mais plus sur la 3.4 (latest) http://yum.centreon.com/standard/3.4...e/noarch/RPMS/ )
    :
    ces-plugins-Virtualization-VMWare-client-2.3.1-1.el6.noarch.rpm



    Sur CentOS6, ce paquet de plus demande perl-ZMQ-LibZMQ3-1.19-1.el6.x86_64 en lieu de votre préconisation en perl-ZMQ-LibZMQ4-0.01-1.el6.x86_64.




    Pouvez-vous m'aider en me disant par quel paquet celui-ci est remplacé ? ou suis je obligé de downgrader ?

    Votre documentation ne semble compatible qu'avec une installation via dépot centreon en version antérieur à la 3.4 ?



    Cordialement,

    GnuTux95

  • #2
    Try the following command:
    # yum search VMW

    You will find the packages:
    centreon-plugin-Virtualization-VMWare-daemon.noarch
    centreon-plugin-Virtualization-Vmware2-Connector-Plugin.noarch
    centreon-plugin-Virtualization-Vmware2-Esx-Wsman.noarch

    Install the first 2:
    # yum install centreon-plugin-Virtualization-VMWare-daemon.noarch
    # yum install centreon-plugin-Virtualization-Vmware2-Connector-Plugin.noarch

    Then configure /etc/centreon/centreon_vmware.pm

    Comment


    • #3
      Thank You for your response.

      For the moment, I have downgrade to 3.3...

      I will test it when I could to reproduce an test environment.


      Comment

      Working...
      X